package mqs

import (
	"context"
	"github.com/zeromicro/go-queue/rabbitmq"
	"github.com/zeromicro/go-zero/core/service"
	"microGame/app/mq/cmd/rabbitmq/internal/config"
	"microGame/app/mq/cmd/rabbitmq/internal/svc"
)

func Consumers(c config.Config, ctx context.Context, svcContext *svc.ServiceContext) []service.Service {

	return []service.Service{
		//Listening for changes in consumption flow status
		rabbitmq.MustNewListener(c.RabbitListenerConf, NewPokerBet(ctx, svcContext)),
		//.....
	}

}
